Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class AbstractTogglePanel

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  org.richfaces.component.AbstractTogglePanel

All Implemented Interfaces:
  java.util.EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, AbstractDivPanel, org.richfaces.component.MetaComponentEncoder, org.richfaces.component.MetaComponentResolver, org.richfaces.event.ItemChangeSource

Direct Known Subclasses:
  AbstractAccordion, AbstractCollapsiblePanel, AbstractTabPanel, UITogglePanel

    public abstract class AbstractTogglePanel

extends javax.faces.component.UIOutput
implements AbstractDivPanel, org.richfaces.event.ItemChangeSource, org.richfaces.component.MetaComponentResolver, org.richfaces.component.MetaComponentEncoder

Version:
  1.0
Author:
  akolonitsky

Field Summary
`static java.lang.String` | `ACTIVE_ITEM_META_COMPONENT`
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`
`static java.lang.String` | `META_NAME_FIRST`
`static java.lang.String` | `META_NAME_LAST`
`static java.lang.String` | `META_NAME_NEXT`
`static java.lang.String` | `META_NAME_PREV`
`static java.lang.String` | `UPDATE_MESSAGE_ID`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Fields inherited from interface org.richfaces.component.MetaComponentResolver
`META_COMPONENT_SEPARATOR_CHAR`

Constructor Summary
`protected` | `AbstractTogglePanel()`

Method Summary
`void` | `addItemChangeListener(org.richfaces.event.ItemChangeListener listener)`
`void` | `broadcast(javax.faces.event.FacesEvent event)`
`void` | `decode(javax.faces.context.FacesContext context)`
`void` | `encodeBegin(javax.faces.context.FacesContext context)`
`void` | `encodeMetaComponent(javax.faces.context.FacesContext context, java.lang.String metaComponentId)`
`java.lang.String` | `getActiveItem()`
`int` | `getChildIndex(java.lang.String name)`
`abstract java.lang.Object` | `getData()`
`abstract java.lang.Object` | `getExecute()`
`java.lang.String` | `getFamily()`
`AbstractTogglePanelItemInterface` | `getFirstItem()`
`AbstractTogglePanelItemInterface` | `getItem(java.lang.String name)`
`AbstractTogglePanelItemInterface` | `getItemByIndex(int index)`
`abstract javax.el.MethodExpression` | `getItemChangeListener()`
`org.richfaces.event.ItemChangeListener[]` | `getItemChangeListeners()`
`java.util.List<AbstractTogglePanelItemInterface>` | `getItems(boolean isRendered)`
`AbstractTogglePanelItemInterface` | `getLastItem()`
`AbstractTogglePanelItemInterface` | `getNextItem()`
`AbstractTogglePanelItemInterface` | `getNextItem(java.lang.String name)`
`abstract java.lang.String` | `getOnbeforeitemchange()`
`abstract java.lang.String` | `getOnitemchange()`
`AbstractTogglePanelItemInterface` | `getPrevItem()`
`AbstractTogglePanelItemInterface` | `getPrevItem(java.lang.String name)`
`abstract java.lang.Object` | `getRender()`
`java.util.List<AbstractTogglePanelItemInterface>` | `getRenderedItems()`
`boolean` | `getRendersChildren()`
`abstract java.lang.String` | `getStatus()`
`java.lang.String` | `getSubmittedActiveItem()`
`java.lang.Object` | `getSubmittedValue()`
`org.richfaces.component.SwitchType` | `getSwitchType()`
`protected boolean` | `isActiveItem(javax.faces.component.UIComponent kid)`
`protected boolean` | `isActiveItem(javax.faces.component.UIComponent kid, java.lang.String value)`
`abstract boolean` | `isCycledSwitching()`
`boolean` | `isImmediate()`
`abstract boolean` | `isLimitRender()`
`boolean` | `isLocalValueSet()`
`boolean` | `isRequired()`
`boolean` | `isValid()`
`void` | `processDecodes(javax.faces.context.FacesContext context)` Specialized decode behavior on top of that provided by the superclass.
`void` | `processUpdates(javax.faces.context.FacesContext context)` In addition to the standard `processUpdates` behavior inherited from `UIComponentBase`, calls `updateModel()`.
`void` | `processValidators(javax.faces.context.FacesContext context)` In addition to the standard `processValidators` behavior inherited from `UIComponentBase`, calls `processValue()` if the `immediate` property is false (which is the default); if the component is invalid afterwards, calls `FacesContext.renderResponse()`.
`void` | `queueEvent(javax.faces.event.FacesEvent event)`
`void` | `removeItemChangeListener(org.richfaces.event.ItemChangeListener listener)`
`void` | `resetValue()`
`java.lang.String` | `resolveClientId(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent contextComponent, java.lang.String metaComponentId)`
`void` | `setActiveItem(java.lang.String value)`
`protected void` | `setEventPhase(javax.faces.event.FacesEvent event)`
`protected void` | `setEventPhase(org.richfaces.event.ItemChangeEvent event)`
`void` | `setImmediate(boolean immediate)`
`void` | `setLocalValueSet(boolean localValueSet)`
`void` | `setRequired(boolean required)` Set the "required field" state for this component.
`void` | `setSubmittedActiveItem(java.lang.String submittedActiveItem)`
`void` | `setSubmittedValue(java.lang.Object submittedValue)`
`void` | `setSwitchType(org.richfaces.component.SwitchType switchType)`
`void` | `setValid(boolean valid)`
`void` | `setValue(java.lang.Object value)`
`void` | `setValueExpression(java.lang.String name, javax.el.ValueExpression binding)`
`java.lang.String` | `substituteUnresolvedClientId(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent contextComponent, java.lang.String metaComponentId)`
`void` | `updateModel(javax.faces.context.FacesContext context)`
`boolean` | `visitTree(javax.faces.component.visit.VisitContext context, javax.faces.component.visit.VisitCallback callback)`

Methods inherited from class javax.faces.component.UIOutput
`clearInitialState, getConverter, getLocalValue, getValue, markInitialState, restoreState, saveState, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.richfaces.component.AbstractDivPanel
`getDir, getLang, getOnclick, getOndblclick, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getStyle, getStyleClass, getTitle`

Field Detail

### ACTIVE_ITEM_META_COMPONENT

    public static final java.lang.String ACTIVE_ITEM_META_COMPONENT

See Also:
  Constant Field Values

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

### META_NAME_FIRST

    public static final java.lang.String META_NAME_FIRST

See Also:
  Constant Field Values

### META_NAME_PREV

    public static final java.lang.String META_NAME_PREV

See Also:
  Constant Field Values

### META_NAME_NEXT

    public static final java.lang.String META_NAME_NEXT

See Also:
  Constant Field Values

### META_NAME_LAST

    public static final java.lang.String META_NAME_LAST

See Also:
  Constant Field Values

### UPDATE_MESSAGE_ID

    public static final java.lang.String UPDATE_MESSAGE_ID

See Also:
  Constant Field Values

Constructor Detail

### AbstractTogglePanel

    protected AbstractTogglePanel()

Method Detail

### getSubmittedValue

    public java.lang.Object getSubmittedValue()

### resetValue

    public void resetValue()

### setSubmittedValue

    public void setSubmittedValue(java.lang.Object submittedValue)

### isLocalValueSet

    public boolean isLocalValueSet()

### setLocalValueSet

    public void setLocalValueSet(boolean localValueSet)

### isValid

    public boolean isValid()

### setValid

    public void setValid(boolean valid)

### isRequired

    public boolean isRequired()

### setRequired

    public void setRequired(boolean required)

  Set the "required field" state for this component.

  Parameters:
    `required` - The new "required field" state

### isImmediate

    public boolean isImmediate()

### setImmediate

    public void setImmediate(boolean immediate)

### encodeBegin

    public void encodeBegin(javax.faces.context.FacesContext context)
                     throws java.io.IOException

  Overrides:
    `encodeBegin` in class `javax.faces.component.UIComponentBase`
  Throws:
    `java.io.IOException`

### processDecodes

    public void processDecodes(javax.faces.context.FacesContext context)

  Specialized decode behavior on top of that provided by the superclass. In addition to the standard `processDecodes` behavior inherited from `UIComponentBase`, calls `processValue()` if the the `immediate` property is true; if the component is invalid afterwards or a `RuntimeException` is thrown, calls `FacesContext.renderResponse()`.

  Overrides:
    `processDecodes` in class `javax.faces.component.UIComponentBase`
  Throws:
    `java.lang.NullPointerException`

### processValidators

    public void processValidators(javax.faces.context.FacesContext context)

  In addition to the standard `processValidators` behavior inherited from `UIComponentBase`, calls `processValue()` if the `immediate` property is false (which is the default); if the component is invalid afterwards, calls `FacesContext.renderResponse()`. If a `RuntimeException` is thrown during validation processing, calls `FacesContext.renderResponse()` and re-throw the exception.

  Overrides:
    `processValidators` in class `javax.faces.component.UIComponentBase`
  Throws:
    `java.lang.NullPointerException`

### processUpdates

    public void processUpdates(javax.faces.context.FacesContext context)

  In addition to the standard `processUpdates` behavior inherited from `UIComponentBase`, calls `updateModel()`. If the component is invalid afterwards, calls `FacesContext.renderResponse()`. If a `RuntimeException` is thrown during update processing, calls `FacesContext.renderResponse()` and re-throw the exception.

  Overrides:
    `processUpdates` in class `javax.faces.component.UIComponentBase`
  Throws:
    `java.lang.NullPointerException`

### decode

    public void decode(javax.faces.context.FacesContext context)

  Overrides:
    `decode` in class `javax.faces.component.UIComponentBase`
  Throws:
    `java.lang.NullPointerException`

### updateModel

    public void updateModel(javax.faces.context.FacesContext context)

### queueEvent

    public void queueEvent(javax.faces.event.FacesEvent event)

  Overrides:
    `queueEvent` in class `javax.faces.component.UIComponentBase`

### setEventPhase

    protected void setEventPhase(org.richfaces.event.ItemChangeEvent event)

### setEventPhase

    protected void setEventPhase(javax.faces.event.FacesEvent event)

### broadcast

    public void broadcast(javax.faces.event.FacesEvent event)
                   throws javax.faces.event.AbortProcessingException

  Overrides:
    `broadcast` in class `javax.faces.component.UIComponentBase`
  Throws:
    `javax.faces.event.AbortProcessingException`

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UIOutput`

### getRendersChildren

    public boolean getRendersChildren()

  Overrides:
    `getRendersChildren` in class `javax.faces.component.UIComponentBase`

### isActiveItem

    protected boolean isActiveItem(javax.faces.component.UIComponent kid)

### isActiveItem

    protected boolean isActiveItem(javax.faces.component.UIComponent kid,
                                   java.lang.String value)

### getItemByIndex

    public AbstractTogglePanelItemInterface getItemByIndex(int index)

### getRenderedItems

    public java.util.List<AbstractTogglePanelItemInterface> getRenderedItems()

### getItems

    public java.util.List<AbstractTogglePanelItemInterface> getItems(boolean isRendered)

### getItem

    public AbstractTogglePanelItemInterface getItem(java.lang.String name)

### getFirstItem

    public AbstractTogglePanelItemInterface getFirstItem()

### getPrevItem

    public AbstractTogglePanelItemInterface getPrevItem()

### getPrevItem

    public AbstractTogglePanelItemInterface getPrevItem(java.lang.String name)

### getNextItem

    public AbstractTogglePanelItemInterface getNextItem()

### getNextItem

    public AbstractTogglePanelItemInterface getNextItem(java.lang.String name)

### getLastItem

    public AbstractTogglePanelItemInterface getLastItem()

### getChildIndex

    public int getChildIndex(java.lang.String name)

### getSubmittedActiveItem

    public java.lang.String getSubmittedActiveItem()

### setSubmittedActiveItem

    public void setSubmittedActiveItem(java.lang.String submittedActiveItem)

### setValue

    public void setValue(java.lang.Object value)

  Specified by:
    `setValue` in interface `javax.faces.component.ValueHolder`
  Overrides:
    `setValue` in class `javax.faces.component.UIOutput`

### getActiveItem

    public java.lang.String getActiveItem()

### setActiveItem

    public void setActiveItem(java.lang.String value)

### setValueExpression

    public void setValueExpression(java.lang.String name,
                                   javax.el.ValueExpression binding)

  Overrides:
    `setValueExpression` in class `javax.faces.component.UIComponent`

### getSwitchType

    public org.richfaces.component.SwitchType getSwitchType()

### setSwitchType

    public void setSwitchType(org.richfaces.component.SwitchType switchType)

### isLimitRender

    public abstract boolean isLimitRender()

### isCycledSwitching

    public abstract boolean isCycledSwitching()

### getData

    public abstract java.lang.Object getData()

### getStatus

    public abstract java.lang.String getStatus()

### getExecute

    public abstract java.lang.Object getExecute()

### getRender

    public abstract java.lang.Object getRender()

### getItemChangeListener

    public abstract javax.el.MethodExpression getItemChangeListener()

### getOnitemchange

    public abstract java.lang.String getOnitemchange()

### getOnbeforeitemchange

    public abstract java.lang.String getOnbeforeitemchange()

### addItemChangeListener

    public void addItemChangeListener(org.richfaces.event.ItemChangeListener listener)

  Specified by:
    `addItemChangeListener` in interface `org.richfaces.event.ItemChangeSource`

### getItemChangeListeners

    public org.richfaces.event.ItemChangeListener[] getItemChangeListeners()

  Specified by:
    `getItemChangeListeners` in interface `org.richfaces.event.ItemChangeSource`

### removeItemChangeListener

    public void removeItemChangeListener(org.richfaces.event.ItemChangeListener listener)

  Specified by:
    `removeItemChangeListener` in interface `org.richfaces.event.ItemChangeSource`

### resolveClientId

    public java.lang.String resolveClientId(javax.faces.context.FacesContext facesContext,
                                            javax.faces.component.UIComponent contextComponent,
                                            java.lang.String metaComponentId)

  Specified by:
    `resolveClientId` in interface `org.richfaces.component.MetaComponentResolver`

### substituteUnresolvedClientId

    public java.lang.String substituteUnresolvedClientId(javax.faces.context.FacesContext facesContext,
                                                         javax.faces.component.UIComponent contextComponent,
                                                         java.lang.String metaComponentId)

  Specified by:
    `substituteUnresolvedClientId` in interface `org.richfaces.component.MetaComponentResolver`

### encodeMetaComponent

    public void encodeMetaComponent(javax.faces.context.FacesContext context,
                                    java.lang.String metaComponentId)
                             throws java.io.IOException

  Specified by:
    `encodeMetaComponent` in interface `org.richfaces.component.MetaComponentEncoder`
  Throws:
    `java.io.IOException`

### visitTree

    public boolean visitTree(javax.faces.component.visit.VisitContext context,
                             javax.faces.component.visit.VisitCallback callback)

  Overrides:
    `visitTree` in class `javax.faces.component.UIComponent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.